PostgreSQL 7.1.3 Documentation
Prev |  | Next

# fileno

## Name

fileno -- returns the socket used to connect to the database

## Synopsis

    fileno()

### Parameters

none

### Return Type

socket id

  The underlying socket id used to connect to the database.

### Exceptions

TypeError

  Too many (any) arguments.

## Description

`fileno()` method returns the underlying socket id used to connect to the database. This is useful for use in `select` calls, etc.

Prev | Home | Next
close | Up | getnotify